> ## Documentation Index
> Fetch the complete documentation index at: https://api-reference.hyperswitch.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update contract information for an entity

> Updates the contract information for processors based on provided parameters



## OpenAPI

````yaml post /contract_routing.ContractScoreCalculator/UpdateContract
openapi: 3.0.0
info:
  title: Dynamic routing - OpenAPI 3.0
  description: This the the open API 3.0 specification for the dynamic routing.
  version: 1.0.0
servers: []
security: []
paths:
  /contract_routing.ContractScoreCalculator/UpdateContract:
    post:
      tags:
        - Contract Routing
      summary: Update contract information for an entity
      description: >-
        Updates the contract information for processors based on provided
        parameters
      operationId: updateContract
      parameters:
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
          example: public
        - name: x-profile-id
          in: header
          required: true
          schema:
            type: string
          example: pro_WX0giXQnzk2wQJjkKVBX
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
          example: dev_VLzQTxkPq3ALj2mlfiHL4mMtXca4uplOIOLaKEzmWAmNBXZjwsuv5bCLjnf0QYHm
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateContractRequest'
            example:
              id: merchant1
              params: update
              labels_information:
                - label: stripe
                  target_count: 1000
                  target_time: 86400
                  current_count: 500
                - label: adyen
                  target_count: 1500
                  target_time: 86400
                  current_count: 750
      responses:
        '200':
          description: Contract update succeeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateContractResponse'
        '400':
          description: Invalid request parameters
        '500':
          description: Internal server error
components:
  schemas:
    UpdateContractRequest:
      type: object
      properties:
        id:
          type: string
          example: merchant1
          description: Entity identifier
        params:
          type: string
          description: Additional parameters
          example: card
        labels_information:
          type: array
          items:
            $ref: '#/components/schemas/LabelInformation'
          description: Contract information for processors
          example:
            - label: stripe
              target_count: 1000
              target_time: 86400
              current_count: 500
            - label: adyen
              target_count: 1500
              target_time: 86400
              current_count: 750
      required:
        - id
        - labels_information
    UpdateContractResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - CONTRACT_UPDATION_SUCCEEDED
            - CONTRACT_UPDATION_FAILED
          description: Status of the update operation
      required:
        - status
    LabelInformation:
      type: object
      properties:
        label:
          type: string
          description: Processor identifier
          example: stripe
        target_count:
          type: integer
          format: uint64
          description: Target transaction count in contract
          example: 10000
        target_time:
          type: integer
          format: uint64
          description: Time period for the target (in seconds)
          example: 1744803903
        current_count:
          type: integer
          format: uint64
          description: Current transaction count
          example: 500
      required:
        - label
        - target_count
        - target_time
        - current_count

````